//Contents:
//Package to prevent special datablocks from getting removed on death
//EmptyHandArmor datablock
//	.applyHandParts()
//	.applyHandColors()

package KeepWhenDead {
	function Armor::onDisabled(%this, %obj, %state) {
		if (%this.keepWhenDead) {
			return;
		}

		if (isObject(%obj.swordBot)) {
			%obj.swordBot.delete();
		}

		if (isObject(%obj.emptyBot)) {
			%obj.emptyBot.delete();
		}
		return parent::onDisabled(%this, %obj, %state);
	}
};
activatePackage(KeepWhenDead);